Vamp::PluginAdapter< P > Class Template Reference

PluginAdapter turns a PluginAdapterBase into a specific wrapper for a particular plugin implementation. More...

`#include <vamp-sdk/PluginAdapter.h>`

Inheritance diagram for Vamp::PluginAdapter< P >:
[legend]

## Public Member Functions

| PluginAdapter ()
virtual | ~PluginAdapter ()
const VampPluginDescriptor * | getDescriptor ()
| Return a VampPluginDescriptor describing the plugin that is wrapped by this adapter.

## Protected Member Functions

Plugin * | createPlugin (float inputSampleRate)

## Protected Attributes

Impl * | m_impl

## Detailed Description

template<typename P>
class Vamp::PluginAdapter< P >

PluginAdapter turns a PluginAdapterBase into a specific wrapper for a particular plugin implementation.

See PluginAdapterBase.

Definition at line 95 of file PluginAdapter.h.

## Constructor & Destructor Documentation

## PluginAdapter()

template<typename P >

Vamp::PluginAdapter< P >::PluginAdapter | ( |  | ) |

inline

Definition at line 98 of file PluginAdapter.h.

## ~PluginAdapter()

template<typename P >

virtual Vamp::PluginAdapter< P >::~PluginAdapter | ( |  | ) |

inline virtual

Definition at line 99 of file PluginAdapter.h.

## Member Function Documentation

## createPlugin()

template<typename P >

Plugin * Vamp::PluginAdapter< P >::createPlugin | ( | float | inputSampleRate | ) |

inline protected virtual

Implements Vamp::PluginAdapterBase.

Definition at line 102 of file PluginAdapter.h.

## getDescriptor()

const VampPluginDescriptor * Vamp::PluginAdapterBase::getDescriptor | ( |  | ) |

inherited

Return a VampPluginDescriptor describing the plugin that is wrapped by this adapter.

## Member Data Documentation

## m_impl

Impl* Vamp::PluginAdapterBase::m_impl

protected inherited

Definition at line 82 of file PluginAdapter.h.

The documentation for this class was generated from the following file:

- PluginAdapter.h